package org.jboss.seam.selectitems.jsf;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

/**
 * Wraps an array list allowing a second list to be stored
 * @author Peter Muir
 * @author <a href="mailto:jh2000guard-jboss@yahoo.com">Jim Hazen</a>
 * 
 */
public class SelectItemsListModel<E> extends ArrayList<E> {

	public SelectItemsListModel(int initialCapacity) {
		super(initialCapacity);
	}

	public SelectItemsListModel() {
		super();
	}

	public SelectItemsListModel(Collection<? extends E> c) {
		super(c);
	}

	private static final long serialVersionUID = 1L;

	private List data;

	public void setWrappedData(List data) {
		this.data = data;
	}

	public List getWrappedData() {
		return this.data;
	}
	

}
